package com.bcxin.ins.util;

import org.apache.commons.lang3.StringUtils;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import java.util.Locale;
import java.util.Map;
import java.util.ResourceBundle;

/**
 * 系统资源库
 * @author zxf
 *
 */
public class GlobalResources {
	
	public static String PRODUCT_DETAIL_PATH;//项目地址
	public static String DONOW_PATH;//项目地址去掉请求头http://
	public static String WEB_URL;//项目地址
	public static String BUSINESS_URL;//业务域名项目地址（亚太域名地址）
	public static String BASE_URL;//基础域名项目地址
	public static String DISTRIBUTION_IP;//分销ip

	public static String DISTRIBUTION_LOGIN;//分销账号登录
	public static String WEB_PRO_URL;
	public static String NEWS_PATH;
	public static String COM_IMG_RE;
	public static String COM_IMG_LI;
	public static String CPIC_INS_URL;
	public static String CPIC_GYX_URL;//太保个意险请求地址头
	public static String SERVER_NAME;
	public static String DIMENSIONCODE;
	public static String POLICY_END_DAY;//距离到期多少天内可以进行投保，默认5天

	//oss
	public static String OSS_SERVERADDRESSS;
	public static String OSS_IMG_SERVERADDRESSS;
	public static String OSS_ACCESSID;
	public static String OSS_ACCESSKEY;
	public static String OSS_BUCKETNAME;
	public static String OSS_IMG_THUMBNAIL_CLASS;
	public static String OSS_IMG_AVERAGE_CLASS;
	public static String HW_CDN_URL;

	public static String TOCORE_COM;
	public static String TOCORE_POLICY;
	public static String TOCORE_VERIFYNAME;
	public static String ENVI_API;

	//是否关闭短信通道 1：是，0：否
	public static String IS_CLOSE_NOTE;
	//是否关闭批单同步业支 1：是，0：否
	public static String IS_CLOSE_RECORD_SYNC;


	//泰康接口访问地址
	public static String TK_INS_URL;
	//平安寿
	//平安ibos上传附件接口访问地址
	public static String PN_IOBS_URL;
	//平安接口访问地址
	public static String PN_INS_URL;
	//平安收银台地址
	public static String PN_PAY_URL;
	//平安token代码
	public static String PN_ACCESS_TOKEN;
	//平安寿获取tokenURL
	public static String PNS_GET_ACCESS_TOKEN_URL;
	//平安保单地址下载url
	public static String   PN_POLICY_FILE;

	public  static  String   PN_POLICY_FILE_KEY;

	//平安财
	//平安财获取tokenURL
	public static String PNC_GET_ACCESS_TOKEN_URL;

	//永安出单接口访问地址 http://tapi.yaic.com.cn(测试)
	public static String YA_ZZ_INS_URL;
	public static String YA_ZZ_PWD;
	public static String YA_ZZ_OCODE;

	//都邦核保接口访问地址 http://220.249.110.106:7010(开发)
	public static String DB_INS_URL;
	//都邦支付接口访问地址 http://220.249.110.106:7011(开发)
	public static String DB_PAY_URL;
	//都邦接口访问服务器ip 10.4.29.8(开发)
	public static String DB_INS_IP;
	//都邦电子保单下载地址头 http://59.151.126.22(开发)
	public static String DB_DOW_URL;
	//都邦秘钥key(测试：czVsBSUNe7gQK19n6diLiqgrTm4=，生产：TKlFg3ZslCEEZBwnHe1B2Hlzxc8=)
	public static String DB_INS_KEY;


	/**  太保接口 107001  NO/YES */
	public static String  IS_POLICY_TP107001_OPEN;
	public static boolean IS_WINDOWS_ENVI;
	public static String  ENVI;
	public static String  CONDITION;

	/**  中华 雇主责任险 */
	public static String ZH_GZ_INS_URL;//中华雇主投保接口访问地址
	public static String ZH_GZ_PAY_URL;//中华雇主支付获取接口地址
	public static String ZH_GZ_FP_URL;//中华雇主申请发票获取接口地址
	public static String GW_CH_PWD;//中华密码

	//长安电子发票查询接口访问地址
	public static String CA_FP_API_URL;
	//长安团意接口访问地址
	public static String CA_TY_API_URL;
	public static String CA_TY_PAY_API_URL;
	public static String CA_TY_PD_API_URL;//替换接口地址
	public static String CA_TY_PD_2_API_URL;//增减员接口地址
	public static String CA_TY_BASL_API_URL;
	public static String CA_TY_PRODUCT_CODE;
	//太保雇主接口访问地址
	public static String TB_GZ_API_URL;
	public static String TB_GZ_SECRET_KEY;
	//长安雇主接口访问地址
	public static String CA_GZ_API_URL;
	public static String CA_GZ_PAY_API_URL;
	public static String CA_GZ_PD_API_URL;
	public static String CA_GZ_BASL_API_URL;
	//长安雇主证书信息
	public static String CA_GZ_KEY_STORE_PATH;
	public static String CA_GZ_KEY_STORE_PASS;
	public static String CA_GZ_TRUST_STORE_PATH;
	public static String CA_GZ_TRUST_STORE_PASS;

	/**  华泰 公责险 */
	public static String HT_INSUREPOLICYURL ;// 投保接口
	public static String HT_RECONCILIATIONURL ;//对账接口
	public static String HT_SURRENDERURL ;//退保接口
	public static String HT_PAYADDRESS ;//支付接口
	public static String HT_ENCRYPT_VAL ; // MD5加密的值
	public static String HT_CHANNELCODE ; // 渠道编码
	public static String HT_PAYPAGECALLBACKADDRESS;//同步返回的页面
	public static String HT_CALLBACKADDRESS;//异步返回的页面
	public static String HT_SHOWURL;//商品展示链接
	public static String P_SERVICES_URL;
	public static String HT_SERVICES_URL;
	public static String HT_GZX_RSA_PRIVATEKEY;
	public static String HT_GZX_RSA_PUBLICKEY;
	public static String HT_TYX_CHANNELCODE; // 渠道编码
	public static String HT_TYX_RSA_PRIVATEKEY;
	public static String HT_TYX_RSA_PUBLICKEY;
	public static Boolean IS_TEST_ENVI = true;//是否是测试环境
	//众安接口访问地址
	public static String ZN_INS_URL;

	public static String ESTAND_XCX_QR_CODE;//e站风评小程序二维码地址


	//
	public static Map<String ,String >  map;

	public static Boolean isTest(){
		return GlobalResources.IS_TEST_ENVI;
	}

	public static String getResource(String key){
		String osName = System.getProperty("os.name");
		if (osName != null&&osName.contains("Windows")) {
			return "http://localhost:8080/";
		}
		return GlobalResources.map.get(key);
	}

	/**
	 * <b> 判断页面地址栏的链接跟数据库配置的业务链接是否匹配（如果匹配说明要走亚太服务器） </b>
	 * @author ZXF
	 * @create 2021/12/02 0002 14:07
	 * @version
	 * @注意事项 </b>
	 */
	public static Boolean isBusinessUrl(){
		HttpServletRequest request = ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
		String url = request.getScheme() +"://" + request.getServerName()
				+ ":" +request.getServerPort()
				+ request.getServletPath();
		url = url.startsWith("http://")?url.replace("http://","https://"):url;
		return url.contains(GlobalResources.getResource("BUSINESS_URL").substring(0,GlobalResources.getResource("BUSINESS_URL").length()-1))?true:false;
	}

	public static String getBus(){
		HttpServletRequest request = ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
		String url = request.getScheme() +"://" + request.getServerName() + "/";
		url = url.startsWith("http://")?url.replace("http://","https://"):url;
		System.out.println("=====> getBus.url="+url);
		String ret = url.contains(GlobalResources.getResource("BUSINESS_YT_URL").substring(0,GlobalResources.getResource("BUSINESS_YT_URL").length()-1))?"YT":
				url.contains(GlobalResources.getResource("BUSINESS_ZY_URL").substring(0,GlobalResources.getResource("BUSINESS_ZY_URL").length()-1))?"ZY":
				url.contains(GlobalResources.getResource("BUSINESS_ZJ_URL").substring(0,GlobalResources.getResource("BUSINESS_ZJ_URL").length()-1))?"ZJ":"DEF";
		return ret;
	}
//	static{
//		try{
//			ResourceBundle configRb = ResourceBundle.getBundle("properties/config");
//			OSS_SYS = configRb.getString("OSS_SYS");
//			if ( "test".equals(OSS_SYS) ) {
//
//				OSS_SERVERADDRESSS = configRb.getString("OSS_SERVERADDRESSS_local");
//				OSS_IMG_SERVERADDRESSS = configRb.getString("OSS_IMG_SERVERADDRESSS_local");
//				OSS_ACCESSID = configRb.getString("OSS_ACCESSID");
//				OSS_ACCESSKEY = configRb.getString("OSS_ACCESSKEY");
//				OSS_BUCKETNAME = configRb.getString("OSS_BUCKETNAME_local");
//				OSS_IMG_THUMBNAIL_CLASS = configRb.getString("OSS_IMG_THUMBNAIL_CLASS");
//				OSS_IMG_AVERAGE_CLASS = configRb.getString("OSS_IMG_AVERAGE_CLASS");
//				IS_WINDOWS_ENVI = true;
//			} else {
//				OSS_SERVERADDRESSS = configRb.getString("OSS_SERVERADDRESSS_pro");
//				OSS_IMG_SERVERADDRESSS = configRb.getString("OSS_IMG_SERVERADDRESSS_pro");
//				OSS_SERVERADDRESSS_extranet = configRb.getString("OSS_SERVERADDRESSS_extranet_pro");
//				OSS_IMG_SERVERADDRESSS_extranet = configRb.getString("OSS_IMG_SERVERADDRESSS_extranet_pro");
//				OSS_ACCESSID = configRb.getString("OSS_ACCESSID");;
//				OSS_ACCESSKEY = configRb.getString("OSS_ACCESSKEY");;
//				OSS_BUCKETNAME = configRb.getString("OSS_BUCKETNAME_pro");;
//				OSS_IMG_THUMBNAIL_CLASS = configRb.getString("OSS_IMG_THUMBNAIL_CLASS");
//				OSS_IMG_AVERAGE_CLASS = configRb.getString("OSS_IMG_AVERAGE_CLASS");
//				IS_WINDOWS_ENVI = false;
//			}
//
//			TK_INS_URL = configRb.getString("TK_INS_URL");
//			PN_INS_URL = configRb.getString("PN_INS_URL");
//			PN_PAY_URL = configRb.getString("PN_PAY_URL");
//			PN_ACCESS_TOKEN = configRb.getString("PN_ACCESS_TOKEN");
//			PN_GET_ACCESS_TOKEN_URL=configRb.getString("PN_GET_ACCESS_TOKEN_URL");
//			NEWS_PATH = configRb.getString("NEWS_PATH");
//			WEB_PRO_URL = configRb.getString("WEB_PRO_URL");
//			DIMENSIONCODE = configRb.getString("DIMENSIONCODE");
//			COM_IMG_LI = configRb.getString("COM_IMG_RE");
//			COM_IMG_RE = configRb.getString("COM_IMG_RE");
//			CPIC_INS_URL = configRb.getString("CPIC_INS_URL");
//			DONOW_PATH = configRb.getString("DONOW_PATH");
//			PRODUCT_DETAIL_PATH = configRb.getString("PRODUCT_DETAIL_PATH");
//			DISTRIBUTION_LOGIN = configRb.getString("DISTRIBUTION_LOGIN");
//			DISTRIBUTION_IP = configRb.getString("DISTRIBUTION_IP");
//			BBDAPI_PATH = configRb.getString("BBDAPI_PATH");
//			SERVER_NAME = configRb.getString("SERVERNAME");
//
//			TOCORE_COM = configRb.getString("TOCORE_COM");
//			TOCORE_POLICY = configRb.getString("TOCORE_POLICY");
//			TOCORE_VERIFYNAME = configRb.getString("TOCORE_VERIFYNAME");
//			ENVI_API = configRb.getString("ENVI_API");
//			IS_POLICY_TP107001_OPEN=configRb.getString("IS_POLICY_TP107001_OPEN");
//
//			IS_TEST_ENVI = true;
//
//			P_SERVICES_URL=configRb.getString("P_SERVICES_URL");
//			HT_INSUREPOLICYURL = configRb.getString("HT_INSUREPOLICYURL");
//			HT_RECONCILIATIONURL = configRb.getString("HT_RECONCILIATIONURL");
//			HT_SURRENDERURL = configRb.getString("HT_SURRENDERURL");
//			HT_PAYADDRESS = configRb.getString("HT_PAYADDRESS");
//			HT_ENCRYPT_VAL = configRb.getString("HT_ENCRYPT_VAL");
//			HT_PAYPAGECALLBACKADDRESS = configRb.getString("HT_PAYPAGECALLBACKADDRESS");
//			HT_CALLBACKADDRESS = configRb.getString("HT_CALLBACKADDRESS");
//			HT_SHOWURL = configRb.getString("HT_SHOWURL");
//			HT_CHANNELCODE=configRb.getString("HT_CHANNELCODE");
//			ENVI=configRb.getString("ENVI");
//
//		}catch (Exception ex){
//			ex.printStackTrace();
//		}
//
//	}


			public static void main(String[] args) {
				Locale locale1 = new Locale("zh", "CN");
				ResourceBundle resb1 = ResourceBundle.getBundle("config", locale1);
				System.out.println(resb1.getString("aaa"));

			}

}
